import java.io.*

plugins {
  kotlin("jvm") version "2.1.0"
}

repositories {
  mavenCentral()
}

dependencies {
  implementation("ch.qos.logback:logback-classic:1.5.16")
}

tasks.register<JavaExec>("runApp") {
  classpath = sourceSets["main"].runtimeClasspath
  mainClass = "ProgramKt"
  standardInput = ByteArrayInputStream("5\r\n".toByteArray(Charsets.UTF_8))
}
